#
# spec file for package kbookmarks
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang
%define lname   libKF5Bookmarks5
%define _tar_path 5.28
Name:           kbookmarks
Version:        5.28.0
Release:        0
%define kf5_version %{version}
BuildRequires:  cmake >= 2.8.12
BuildRequires:  extra-cmake-modules >= %{_tar_path}
BuildRequires:  fdupes
BuildRequires:  kcodecs-devel >= %{_tar_path}
BuildRequires:  kconfig-devel >= %{_tar_path}
BuildRequires:  kconfigwidgets-devel >= %{_tar_path}
BuildRequires:  kcoreaddons-devel >= %{_tar_path}
BuildRequires:  kf5-filesystem
BuildRequires:  kiconthemes-devel >= %{_tar_path}
BuildRequires:  kwidgetsaddons-devel >= %{_tar_path}
BuildRequires:  kxmlgui-devel >= %{_tar_path}
%if %{with lang}
BuildRequires:  cmake(Qt5LinguistTools) >= 5.5.0
%endif
Requires:       cmake(Qt5DBus) >= 5.5.0
Requires:       cmake(Qt5Widgets) >= 5.5.0
Requires:       cmake(Qt5Xml) >= 5.5.0
Summary:        Lets you access and manipulate bookmarks stored using XBEL format
License:        LGPL-2.1+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source:         http://download.kde.org/stable/frameworks/%{_tar_path}/%{name}-%{version}.tar.xz
Source1:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Framework which lets you access and manipulate bookmarks stored using XBEL format

%package -n %lname
Summary:        Lets you access and manipulate bookmarks stored using XBEL format
Group:          System/GUI/KDE
%if %{with lang}
Recommends:     %lname-lang = %{version}
%endif

%description -n %lname
Framework which lets you access and manipulate bookmarks stored using XBEL format

%package devel
Summary:        Lets you access and manipulate bookmarks stored using XBEL format: Build Environment
Group:          Development/Libraries/KDE
Requires:       %lname = %{version}
Requires:       extra-cmake-modules
Requires:       kwidgetsaddons-devel >= %{_tar_path}
Requires:       cmake(Qt5Widgets) >= 5.5.0
Requires:       cmake(Qt5Xml) >= 5.5.0

%description devel
Framework which lets you access and manipulate bookmarks stored using XBEL format.
Development files

%lang_package -n %lname
%prep
%setup -q

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %fdupes %{buildroot}

%if %{with lang}
%find_lang %{name}5 --with-qt --without-mo
%endif

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%if %{with lang}
%files -n %lname-lang -f %{name}5.lang
%endif

%files -n %lname
%defattr(-,root,root)
%doc COPYING* README*
%{_kf5_libdir}/libKF5Bookmarks.so.*

%files devel
%defattr(-,root,root)
%{_kf5_libdir}/libKF5Bookmarks.so
%{_kf5_libdir}/cmake/KF5Bookmarks/
%dir %{_kf5_includedir}/*/
%{_kf5_includedir}/*/
%{_kf5_includedir}/*.h
%{_kf5_mkspecsdir}/qt_KBookmarks.pri

%changelog
